package com.ssj.service.kmt.request;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @author yanghuan
 * @title: SearchKeyReq
 * @projectName ssj
 * @description: TODO
 * @date 2019/9/6 10:07
 */
public class SearchKeyReq implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name="classId",value = "班级id",required = true)
    private  String classId;

    @ApiModelProperty(name = "searchKey", value = "搜索学生姓名", required = true)
    private String searchKey;

    @ApiModelProperty(name = "type", value = "类型", required = true)
    private  int type;

    @ApiModelProperty(name="pageNo",value = "当前页码",required = true)
    private Integer pageNo;

    @ApiModelProperty(name="pageSize",value = "每页条数",required = true)
    private Integer pageSize;

    public String getClassId() { return classId; }

    public void setClassId(String classId) { this.classId = classId; }

    public String getSearchKey() {
        return searchKey;
    }

    public void setSearchKey(String searchKey) {
        this.searchKey = searchKey;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public Integer getPageNo() {
        return pageNo;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }
}
